NXopen创建点对象与点构造器使用

//1、模板文件添加头文件*
#include <NXOpen/PointCollection.hxx>
#include <NXOpen/Features_PointFeatureBuilder.hxx>
#include <NXOpen/Features_BaseFeatureCollection.hxx>
//**2、函数声明**
NXOpen::Point* pointcreat(double PTcoordinates[3], NXOpen::Part* part);//通过点坐标创建点对象
void POINTBuilder(NXOpen::Point* point1, NXOpen::Part* part1);//构造器构造点
//**3、函数定义**
NXOpen::Point* MyClass::pointcreat(double PTcoordinates[3], NXOpen::Part* part)
{
	NXOpen::Point3d coordinates(PTcoordinates[0], PTcoordinates[1], PTcoordinates[2]);
	NXOpen::Point* point;
	point = part->Points()->CreatePoint(coordinates);
	return point;
}
void MyClass::POINTBuilder(NXOpen::Point* point1, NXOpen::Part* part1)
{
	NXOpen::Features::Feature* nullNXOpen_Features_Feature(NULL);
	NXOpen::Features::PointFeatureBuilder* pointFeatureBuilder1;
	pointFeatureBuilder1 = part1->BaseFeatures()->CreatePointFeatureBuilder(nullNXOpen_Features_Feature);
	pointFeatureBuilder1->SetPoint(point1);
	NXOpen::NXObject* nXObject1;
	nXObject1 = pointFeatureBuilder1->Commit();
	pointFeatureBuilder1->Destroy();
}
//**4、主程序**
NXOpen::Session* theSession = NXOpen::Session::GetSession();
NXOpen::Part* part1(theSession->Parts()->Work());
NXOpen::Part* displayPart(theSession->Parts()->Display());
double PTcoordinates[3] = {10.0,10.0,10.0};
NXOpen::Point* point1 = pointcreat(PTcoordinates, part1);
POINTBuilder(point1, part1);

  • 3
    点赞
  • 0
    收藏
    觉得还不错? 一键收藏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值